***REMOVED******REMOVED***
***REMOVED***
***REMOVED******REMOVED***
***REMOVED******REMOVED***
***REMOVED******REMOVED***
***REMOVED******REMOVED***
***REMOVED***
***REMOVED******REMOVED***
***REMOVED***
***REMOVED***public interface PoolManager ***REMOVED***
***REMOVED***
***REMOVED***	String addAlgorithmToVRE(Algorithm algo, String vre) throws IOException, InterruptedException;
***REMOVED***
***REMOVED***	Algorithm extractAlgorithm(String url) throws IOException;
***REMOVED***
***REMOVED***	String getLogById(String logId) throws IOException;
***REMOVED***
***REMOVED***	void getLogId(Algorithm algo, String vre);
***REMOVED***
***REMOVED***	String getScriptFromURL(URL logId) throws IOException;
***REMOVED***
***REMOVED***	URL getURLfromWorkerLog(String logUrl) throws MalformedURLException, UnknownHostException;
***REMOVED***
***REMOVED******REMOVED***



***REMOVED***

***REMOVED***
***REMOVED***
***REMOVED***
***REMOVED***
***REMOVED***
***REMOVED***

***REMOVED***
import org.gcube.dataanalysis.dataminer.poolmanager.datamodel.AlgorithmSet;
***REMOVED***

public interface PoolManager ***REMOVED***

  String addAlgorithmToVRE(Algorithm algo, String vre, boolean test ) throws IOException, InterruptedException;
  String addAlgorithmToHost(Algorithm algo, String host,boolean test) throws IOException, InterruptedException;


	String stageAlgorithm(String algorithmPackageURL) throws IOException, InterruptedException;
	String publishAlgorithm(String algorithmPackageURL, String targetVREToken, String targetVRE) throws IOException, InterruptedException;


	Algorithm extractAlgorithm(String url) throws IOException;

	String getLogById(String logId) throws IOException;

	void getLogId(Algorithm algo, String vre);

	String getScriptFromURL(URL logId) throws IOException;

	URL getURLfromWorkerLog(String logUrl) throws MalformedURLException, UnknownHostException;
	
	void addAlgToIs(Algorithm algo);
	
	Set<Algorithm> getAlgoFromIs();
	List<String> updateSVN(String file, List<String> ldep) throws SVNException, IOException;
	

***REMOVED***
